import React, { useEffect } from "react";

import NavLink from "./NavLink";
import { compose } from "recompose";
import { tabDiv as tabDivStyle } from "./Styles.scss";
import withRoutes from "../hocs/withRoutes";

const Tab = ({ path = "", routeName, pageId, setRoute, routesById }) => {
  let parsedName = routeName.replaceAll(/[\(\)]/g, "");
  let parsedPageId = pageId.replaceAll(/[\(\)]/g, "");
  useEffect(() => {
    if (parsedName && !routesById) {
      setRoute(parsedName, parsedPageId);
    }
  }, [parsedName]);

  if (parsedName != routeName) {
    return null;
  }

  return (
    (<div className={tabDivStyle}>
      <NavLink to={path ? `${path}/${routeName}` : parsedName} tab plain>
        {parsedName.replace(/^\//g, "").replaceAll(/_/g, " ")}
      </NavLink>
    </div>)
  );
};

export default compose(withRoutes)(Tab);
